## org.eclipse.datatools.connectivity.oda.design
Enum NullOrderingType

    java.lang.Object
      java.lang.Enum<NullOrderingType>
          org.eclipse.datatools.connectivity.oda.design.NullOrderingType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NullOrderingType>, org.eclipse.emf.common.util.Enumerator

    public enum NullOrderingType

extends java.lang.Enum<NullOrderingType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Null Ordering Type', and utility methods for working with them. The type of null value ordering defined in a sort key.

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getNullOrderingType()`

Enum Constant Summary
`NULLS_FIRST` The 'Nulls First' literal object.
`NULLS_LAST` The 'Nulls Last' literal object.
`UNKNOWN` The 'Unknown' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `NULLS_FIRST_VALUE` The 'Nulls First' literal value.
`static int` `NULLS_LAST_VALUE` The 'Nulls Last' literal value.
`static int` `UNKNOWN_VALUE` The 'Unknown' literal value.
`static java.util.List<NullOrderingType>` `VALUES` A public read-only list of all the 'Null Ordering Type' enumerators.

Method Summary
`static NullOrderingType` `get(int value)` Returns the 'Null Ordering Type' literal with the specified integer value.
`static NullOrderingType` `get(java.lang.String literal)` Returns the 'Null Ordering Type' literal with the specified literal value.
`static NullOrderingType` `getByName(java.lang.String name)` Returns the 'Null Ordering Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static NullOrderingType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NullOrderingType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final NullOrderingType UNKNOWN

  The 'Unknown' literal object.

  See Also:
    `UNKNOWN_VALUE`

### NULLS_FIRST

    public static final NullOrderingType NULLS_FIRST

  The 'Nulls First' literal object.

  See Also:
    `NULLS_FIRST_VALUE`

### NULLS_LAST

    public static final NullOrderingType NULLS_LAST

  The 'Nulls Last' literal object.

  See Also:
    `NULLS_LAST_VALUE`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### UNKNOWN_VALUE

    public static final int UNKNOWN_VALUE

  The 'Unknown' literal value.

  If the meaning of 'Unknown' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UNKNOWN`, Constant Field Values

### NULLS_FIRST_VALUE

    public static final int NULLS_FIRST_VALUE

  The 'Nulls First' literal value.

  If the meaning of 'Nulls First' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NULLS_FIRST`, Constant Field Values

### NULLS_LAST_VALUE

    public static final int NULLS_LAST_VALUE

  The 'Nulls Last' literal value.

  If the meaning of 'Nulls Last' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NULLS_LAST`, Constant Field Values

### VALUES

    public static final java.util.List<NullOrderingType> VALUES

  A public read-only list of all the 'Null Ordering Type' enumerators.

Method Detail

### values

    public static final NullOrderingType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NullOrderingType c : NullOrderingType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NullOrderingType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static NullOrderingType get(java.lang.String literal)

  Returns the 'Null Ordering Type' literal with the specified literal value.

### getByName

    public static NullOrderingType getByName(java.lang.String name)

  Returns the 'Null Ordering Type' literal with the specified name.

### get

    public static NullOrderingType get(int value)

  Returns the 'Null Ordering Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<NullOrderingType>`